@charset "UTF-8";

@import url("https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100..900;1,100..900&display=swap");

@import url("https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap");

:root {
  --font1: "Poppins", sans-serif;
  --font2: "Montserrat", sans-serif;
}

* {
  margin: 0;
  padding: 0;
  text-decoration: none;
  color: black;
  font-family: var(--font1);
  box-sizing: border-box;
}

body{
  background-color: rgba(247, 247, 247, 0.855);
}

header {
  margin-top: 30px;
  display: flex;
  align-items: center;
  justify-content: center;
  height: 60px;
}

#header-items {
  width: 80vw;
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.social {
  display: flex;
  padding-bottom: 5px;
  border-bottom: 1px solid black;
}

.social-logo {
  margin: 0 5px 0 5px;
  transition: transform 0.4s ease;
}

.social-logo:hover {
  transform: scale(1.1);
}

.social-logo svg {
  fill: black;
  transition: 0.3s fill ease;
}

.social-logo svg:hover {
  fill: rgb(12, 12, 12);
}

.menu-button {
  border: none;
  transition: 0.6s;
  cursor: none;
  background-color: transparent;
  transition: 0.6s ease-in-out;
}

.menu-button:hover {
  transform: scale(1.09);
}

.menu-button svg {
  transition: 0.6s;
  border-radius: 50%;
}

.menu-button svg:hover {
  fill: rgb(255, 255, 255);
  background-color: black;
  border-radius: 50%;
}

#burguer-menu {
  position: fixed;
  top: 0;
  right: 0;
  height: 100vh;
  width: 400px;
  z-index: 999;
  background-color: rgba(227, 227, 227, 0.875);
  backdrop-filter: blur(3px);
  box-shadow: -1px 0px rgb(0, 0, 0);
  border-left: 2px solid black;
  display: none;
  flex-direction: column;
  justify-content: flex-start;
  align-items: flex-start;
}

#burguer-menu ul li {
  width: 400px;
  border-top: 2px solid rgba(255, 255, 255, 0);
  border-bottom: 2px solid rgba(255, 255, 255, 0);
  padding: 12px;
  font-size: 18px;
  font-weight: 500;
  list-style-type: none;
}

#burguer-menu ul li:hover {
  border-top: 3px solid rgb(0, 0, 0);
  border-bottom: 3px solid rgb(0, 0, 0);
}

#burguer-menu ul li a{
  display: block;
  width: 100%;
  height: 100%;
}

#burguer-menu ul li a:hover{
  color: black;
}

#main {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

#main-item {
  margin-top: 100px;
  display: flex;
  align-items: center;
  justify-content: center;
  width: 90vw;
}

#main-item h1 {
  font-family: var(--font2);
  letter-spacing: -20px;
  font-size: 200px;
  cursor: default;
}

#main-item-subtitle h3{
  display: flex;
  align-items: center;
  justify-content: center;
  margin-top: -30px;
  font-weight: 600;
  font-size: 35px;
  cursor: default;
}

#path {
  margin-top: 90px;
  display: flex;
  align-items: center;
  justify-content: center;
}

#path-options {
  display: flex;
  align-items: center;
  justify-content: space-evenly;
  padding: 10px;
  width: 560px;
  border: 1px solid black;
  box-shadow: 4px 4px black;
}

.path-option a {
  color: black;
  transition: transform 0.3s ease, text-shadow 0.6s ease;
}

.path-option:hover a {
  transform: scale(1.03);
  text-shadow: 1px 1px black;
}

.pc-options-link{
  display: flex;
  align-items: center;
  gap: 2px;
}

footer {
  height: 15vh;
  display: flex;
  align-items: end;
  justify-content: center;
}

#footer-content{
  height: 30px;
  width: 400px;
  padding: 30px;
  display: flex;
  justify-content: space-around;
  align-items: center;
}

/*Toggles*/

#burguer-menu.open {
  display: flex;
}

#close-menu {
  background-color: rgba(243, 243, 243, 0);
  background-image: url(../images/icons/close.svg);
  background-size: cover;
  margin: 15px 12px 15px 12px;
  padding: 3px;
  width: 35px;
  height: 35px;
  border-radius: 0px;
  border: 3px solid black;
  transition: 0.3s background ease-in-out;
}

#close-menu:hover {
  cursor: none;
  background-color: rgb(168, 102, 102);
}

/*mobile*/

#main-mobile {
  display: none;
}

#mobile-photo-container{
  width: 600px;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
}

#photo-mobile {
  width: 300px;
  height: 300px;
  border: 3px solid black;
  box-shadow: 7px 7px black;
  background-image: url(../images/unwiredo.jpg);
  background-position: 50% 10%;
  background-size: 130%;
  transition: box-shadow 0.3s ease-in-out;
}

#photo-mobile:hover{
  box-shadow: 9px 9px black;
}

#photo-title{
  margin-top: 25px;
  display: flex;
  justify-content: center;
  align-items: center;
  cursor: default;
}

#photo-title h2{
  font-weight: 600;
  font-size: 40px;
}

#photo-subtitle{
  margin-top: -15px;
  display: flex;
  justify-content: center;
  align-items: center;
}

#photo-subtitle h3{
  font-weight: 400;
  font-size: 18px;
}

#mobile-options-container{
  margin-top: 30px;
  width: 600px;
  display: flex;
  justify-content: center;
  align-items: center;
}

#mobile-options-container p{
  display: flex;
  align-items: center;
  gap:2px;
}

#grid-options{
  width: 300px;
  display: grid;
  grid-template-columns: 1fr 1fr 1fr 1fr 1fr 1fr 1fr 1fr 1fr;
  grid-template-rows: 50px 50px 60px;
  gap: 15px;
  grid-template-areas: 
  "box1 box1 box1 box1 box2 box2 box2 box2 box2"
  "box3 box3 box3 box3 box3 box4 box4 box4 box4"
  "box5 box5 box5 box5 box5 box5 box5 box5 box5";
}

.options{
  display: flex;
  justify-content: start;
  align-items: center;
  width: 100%;
  height: 100%;
  background-color: rgba(255, 255, 255, 0.504);
  border: 3px solid black;
  box-shadow: 5px 5px black;
  padding: 5px;
  transition: box-shadow, 0.6s;
}

.options:hover{
  background-color: rgb(233, 233, 233);
  box-shadow: 7px 7px black;
}

.options p{
  margin-left: 3px;
  font-weight: 500;
}


/*media query*/

@media (max-width: 1150px) {
  #header-items{
    width: 85vw;
  }

  #main-item h1 {
    font-size: 200px;
  }
}

@media (max-width: 1045px){
  #header-items{
    width: 90vw;
  }
}

@media (max-width: 970px) {
  #main-item h1 {
    font-size: 180px;
  }
}

@media (max-width: 860px) {
  #main-item h1 {
    font-size: 165px;
    letter-spacing: -15px;
  }
}

@media (max-width: 820px){
  #main{
    display: none;
  }

  #burguer-menu{
    width: 300px;
  }

  #main-mobile{
    margin-top: 60px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
  }
}

@media (max-width: 335px){
  #header-items{
    width: 95vw;
  }

  #photo-mobile{
    width: 295px;
    height: 295px;
    box-shadow: 4px 4px black;
  }

  #grid-options{
    width: 290px;
  }

  .options{
    box-shadow: 4px 4px black;
  }
}